> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bango.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recent top ups

> Both resellers and merchants can get top up information associated to the Bango `entitlementId`. The response only returns top ups created in the last 90 days. 

The response returns all dates associated to the top ups, as well as information on when the entitlement will end, and what action will be taken at that time, e.g. either a `SUSPEND` or `TERMINATE_IMMEDIATE` request will be sent automatically to the merchant.




## OpenAPI

````yaml /openapi/current/dvm/reseller-to-dvm/entitlement/openapi.yaml get /topups/entitlements/{entitlementId}
openapi: 3.1.0
info:
  title: Entitlements
  version: 1.4.2
  description: >

    # Change log

    **2026-06-02** | v.1.4.2

    - Updated authentication: replaced single Basic Auth scheme with X-API-Key,
      Basic Auth, and OAuth2 (client credentials) security schemes, aligned with
      Reseller Notifications API

    **2025-06-12** | v.1.4.1

    - Overview & change log added


    **2024-09-04** | v.1.4.0

    - Top ups released


    **2023-08-14** | v.1.3.0

    - Added reseller-initiated /activationInfo endpoint

    - Added metadata to error responses to identify whether the error originated
    from Bango or the merchant. This is to help resellers resolve integration
    issues more easily.


    **2022-09-22** | v.1.2.0

    - Added Bango-generated sharedCustomerId to reseller notifications, merchant
    requests and all responses


    **2021-08-05** | v.1.1.0

    - Added extensionData for resellers

    - Added merchantExtensionData for merchants

    - Added financeData to relevant merchant-initiated API requests, reseller
    notifications and all responses

    - Added merchantBangoExtensionData for merchant requests and responses

    - Added externalEntitlementId for resellers


    **2020-11-03** | v.1.0.0

    - Initial release
servers:
  - url: https://resale.api.sandbox.bango.com
    description: Integration test environment
  - url: https://resale.api.bango.com
    description: Production environment
security:
  - XApiKey: []
  - BasicAuth: []
  - OAuth2: []
tags:
  - name: Echo
    description: Check your connection to the Bango resale API
  - name: Entitlement
    description: Manage the lifecycle of your entitlements
  - name: Top Ups
    description: >-
      Top up short-lived entitlements for automated duration extension and
      suspend/terminate flows
paths:
  /topups/entitlements/{entitlementId}:
    get:
      tags:
        - Top Ups
      summary: Get recent top ups
      description: >
        Both resellers and merchants can get top up information associated to
        the Bango `entitlementId`. The response only returns top ups created in
        the last 90 days. 


        The response returns all dates associated to the top ups, as well as
        information on when the entitlement will end, and what action will be
        taken at that time, e.g. either a `SUSPEND` or `TERMINATE_IMMEDIATE`
        request will be sent automatically to the merchant.
      responses:
        '200':
          description: Top ups returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopUpResponse'
              examples:
                Top ups returned:
                  value:
                    entitlementId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                    topUpsExpiry:
                      ts: '2024-05-18T03:12:23.122Z'
                      behavior: SUSPEND
                    topUps:
                      - topUpId: c21309d7-652e-4b32-9547-97b6b08ce31e
                        productKey: MUSIC_5_DAYS
                        createdTs: '2024-05-03T03:12:23.123Z'
                        startTs: '2024-05-03T03:12:23.123Z'
                        endTs: '2024-05-08T03:12:23.122Z'
                      - topUpId: c21309d7-652e-4b32-9547-97b6b08ce31e
                        productKey: MUSIC_10_DAYS
                        createdTs: '2024-05-06T14:37:54.324Z'
                        startTs: '2024-05-08T03:12:23.123Z'
                        endTs: '2024-05-18T03:12:23.122Z'
        '401':
          description: Unauthorized (no response body returned)
        '404':
          description: Entitlement not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BangoErrorResponse'
components:
  schemas:
    TopUpResponse:
      type: object
      properties:
        entitlementId:
          type: string
          format: uuid
        topUpsExpiry:
          $ref: '#/components/schemas/TopUpsExpiry'
        topUps:
          type: array
          items:
            $ref: '#/components/schemas/TopUp'
    BangoErrorResponse:
      required:
        - responseMessage
      properties:
        responseMessage:
          type: string
          examples:
            - >-
              Variable error message providing more information about what went
              wrong
        metadata:
          $ref: '#/components/schemas/ErrorMetadata'
    TopUpsExpiry:
      type: object
      properties:
        ts:
          type: string
          format: date-time
          examples:
            - '2024-05-18T03:12:23.122Z'
        behavior:
          type: string
          enum:
            - SUSPEND
            - TERMINATE_IMMEDIATE
    TopUp:
      properties:
        topUpId:
          type: string
          format: uuid
        productKey:
          type: string
          examples:
            - MUSIC_10_DAYS
        createdTs:
          type: string
          format: date-time
          examples:
            - '2024-05-06T14:37:54.324Z'
        startTs:
          type: string
          format: date-time
          examples:
            - '2024-05-08T03:12:23.123Z'
        endTs:
          type: string
          format: date-time
          examples:
            - '2024-05-18T03:12:23.122Z'
    ErrorMetadata:
      properties:
        responseMessageFrom:
          type: string
          examples:
            - BANGO
  securitySchemes:
    XApiKey:
      type: apiKey
      in: header
      name: x-api-key
    BasicAuth:
      type: http
      scheme: basic
    OAuth2:
      type: oauth2
      description: >
        Bango uses
        https://www.oauth.com/oauth2-servers/access-tokens/client-credentials/.

        Please note that when requesting a token, we only support the option to
        send the client secret in the request body
      flows:
        clientCredentials:
          tokenUrl: https://auth.bango.com/oath2/token
          scopes:
            any: >-
              grants Bango access to the merchant system based on merchant
              defined rules

````